apiVersion: apps/v1
kind: Deployment
metadata:
  name: hhb-authservice
  labels:
    name: hhb-authservice
spec:
  replicas: 1
  selector:
    matchLabels:
      name: hhb-authservice
  template:
    metadata:
      labels:
        name: hhb-authservice
    spec:
      containers:
        - name: hhb-authservice
          image: authservice
          imagePullPolicy: Always
          ports:
            - name: http
              containerPort: 8080
              protocol: TCP
          startupProbe:
            httpGet:
              path: /health
              port: http
            periodSeconds: 10
            failureThreshold: 100
          livenessProbe:
            httpGet:
              path: /health
              port: http
            periodSeconds: 10
          readinessProbe:
            httpGet:
              path: /health
              port: http
            periodSeconds: 10
          resources:
            requests:
              memory: 250Mi
          envFrom:
            - secretRef:
                name: authservice-config
          env:
            - name: LOG_LEVEL
              value: INFO
            - name: REDIS_URL
              valueFrom:
                secretKeyRef:
                  name: redis-url
                  key: REDIS_URL
